%define major   0
%define libname %mklibname %{name} %major

Name:      verbiste
Version:   0.1.35
Release:   %mkrel 2
Summary:   French conjugation system
License:   GPLv2+
URL:       http://sarrazip.com/dev/%{name}.html
Group:     Text tools
Source:    http://sarrazip.com/dev/%{name}-%{version}.tar.gz
BuildRequires: libxml2-devel
BuildRequires: libgnomeui2-devel 
BuildRequires: gnome-panel-devel
BuildRequires: libglade2-devel

Conflicts:     verbiste-gtk < 0.1.32-1

%description
Verbiste is a French conjugation system. It contains a C++ library, two
programs that can be run from the command line or from another program,
and a GNOME applet. This applet shows a text field in the GNOME Panel
where the user can enter a conjugated verb and obtain its complete
conjugation. The knowledge base is represented in XML and contains over
6800 verbs.

%files
%{_docdir}/%{name}-%{version}/*
%_bindir/french-*conjugator
%_datadir/%{name}-0.1
%_mandir/fr/man?/*
%_mandir/man?/*

#--------------------------------------------------------------------

%package -n     %{name}-gtk
Summary:        Gtk+ interface for %{name}
Group:          Development/Other
Requires:       %{name}
Conflicts:      verbiste < 0.1.32-1

%description  -n %{name}-gtk
Gtk+ interface for %{name}.

%files -n %{name}-gtk -f %{name}.lang
%_bindir/verbiste
%_bindir/verbiste-gtk
%_datadir/applications/verbiste.desktop
%_datadir/pixmaps/verbiste.png
%_datadir/texmf/tex/latex/verbiste/verbiste.cfg
%_datadir/texmf/tex/latex/verbiste/verbiste.cls


#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Shared Librairies for %{name}
Group:          Development/Other
Obsoletes:      %{mklibname verbiste1} < 0.1.33-2

%description  -n %{libname}
Shared Librairies for cluster

%files -n %{libname}
%_libdir/lib%{name}-0.1.so.%{major}*

#--------------------------------------------------------------------

%package -n %{libname}-devel
Summary:        %{name} header files and static libraries
Group:          Development/Other
Requires:       %{name} = %{version}
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}
Obsoletes:      %{mklibname -d verbiste1} < 0.1.33-2

%description -n %{libname}-devel
This package contains header files and static libraries.

%files -n %{libname}-devel
%_includedir/%{name}-0.1
%_libdir/lib%{name}-0.1.so
%_libdir/pkgconfig/%{name}-0.1.pc

#--------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --with-gtk-app --with-gnome-app
%make

%install
rm -rf %buildroot
%{makeinstall_std}

rm -f %buildroot%_libdir/lib%{name}-0.1.la

%find_lang %{name}



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.1.35-2.mga3
+ Revision: 385402
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 lmenut <lmenut> 0.1.35-1.mga3
+ Revision: 320368
- update to 0.1.35

* Sun Aug 26 2012 lmenut <lmenut> 0.1.34-1.mga3
+ Revision: 284226
- update to 0.1.34

* Sun Apr 15 2012 lmenut <lmenut> 0.1.33-3.mga2
+ Revision: 230870
- Add obsoletes to ensure upgrade from previous libverbiste with wrong major

* Sat Jun 25 2011 dmorgan <dmorgan> 0.1.33-2.mga2
+ Revision: 113341
- Do not build gnome applet
  fix major
  Use macro for major in lib package
  Remove .la file
  Clean spec file
- Rebuild against gnome3

* Wed Apr 13 2011 lmenut <lmenut> 0.1.33-1.mga1
+ Revision: 84756
- update to 0.1.33
- add conflicts forgotten in previous release

* Thu Mar 24 2011 boklm <boklm> 0.1.32-2.mga1
+ Revision: 76218
- rebuild for bug #497

* Sun Mar 20 2011 lmenut <lmenut> 0.1.32-1.mga1
+ Revision: 74992
- fix release
- update to 0.1.32
- clean spec file
  - remove buildroot
  - update Summary, Group, URL and Source
- add cairo-devel in BR

